Package ghidra.app.util.bin.format.coff

# Class CoffSymbolType

java.lang.Object
ghidra.app.util.bin.format.coff.CoffSymbolType

public final class CoffSymbolType extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DT_ARY`
  `static final int`
  `DT_FCN`
  `static final int`
  `DT_NON`
  `static final int`
  `DT_PTR`
  `static final int`
  `T_CHAR`
  `static final int`
  `T_DOUBLE`
  `static final int`
  `T_ENUM`
  `static final int`
  `T_FLOAT`
  `static final int`
  `T_INT`
  `static final int`
  `T_LONG`
  `static final int`
  `T_LONG_DOUBLE`
  `static final int`
  `T_MOE`
  `static final int`
  `T_NULL`
  `static final int`
  `T_SHORT`
  `static final int`
  `T_STRUCT`
  `static final int`
  `T_UCHAR`
  `static final int`
  `T_UINT`
  `static final int`
  `T_ULONG`
  `static final int`
  `T_UNION`
  `static final int`
  `T_USHORT`
  `static final int`
  `T_VOID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoffSymbolType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final int`
  `getBaseType(int symbolType)`
  `static final int`
  `getDerivedType(int symbolType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### T_NULL

    public static final int T_NULL
    See Also:
      - Constant Field Values

  - ### T_VOID

    public static final int T_VOID
    See Also:
      - Constant Field Values

  - ### T_CHAR

    public static final int T_CHAR
    See Also:
      - Constant Field Values

  - ### T_SHORT

    public static final int T_SHORT
    See Also:
      - Constant Field Values

  - ### T_INT

    public static final int T_INT
    See Also:
      - Constant Field Values

  - ### T_LONG

    public static final int T_LONG
    See Also:
      - Constant Field Values

  - ### T_FLOAT

    public static final int T_FLOAT
    See Also:
      - Constant Field Values

  - ### T_DOUBLE

    public static final int T_DOUBLE
    See Also:
      - Constant Field Values

  - ### T_STRUCT

    public static final int T_STRUCT
    See Also:
      - Constant Field Values

  - ### T_UNION

    public static final int T_UNION
    See Also:
      - Constant Field Values

  - ### T_ENUM

    public static final int T_ENUM
    See Also:
      - Constant Field Values

  - ### T_MOE

    public static final int T_MOE
    See Also:
      - Constant Field Values

  - ### T_UCHAR

    public static final int T_UCHAR
    See Also:
      - Constant Field Values

  - ### T_USHORT

    public static final int T_USHORT
    See Also:
      - Constant Field Values

  - ### T_UINT

    public static final int T_UINT
    See Also:
      - Constant Field Values

  - ### T_ULONG

    public static final int T_ULONG
    See Also:
      - Constant Field Values

  - ### T_LONG_DOUBLE

    public static final int T_LONG_DOUBLE
    See Also:
      - Constant Field Values

  - ### DT_NON

    public static final int DT_NON
    See Also:
      - Constant Field Values

  - ### DT_PTR

    public static final int DT_PTR
    See Also:
      - Constant Field Values

  - ### DT_FCN

    public static final int DT_FCN
    See Also:
      - Constant Field Values

  - ### DT_ARY

    public static final int DT_ARY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CoffSymbolType

    public CoffSymbolType()

- ## Method Details

  - ### getBaseType

    public static final int getBaseType(int symbolType)

  - ### getDerivedType

    public static final int getDerivedType(int symbolType)